dnl --------------------------------------------------------------------------
dnl PA_FUNC_MAKEDIR
dnl
dnl  See if [_]mkdir() takes one or two arguments, and define a makedir()
dnl  macro to match.
dnl --------------------------------------------------------------------------
AC_DEFUN([PA_FUNC_MAKEDIR],
[AC_CHECK_FUNCS([mkdir], [pa_makedir=mkdir],
 [AC_CHECK_FUNCS([_mkdir], [pa_makedir=_mkdir])])
 AC_MSG_CHECKING([if $pa_makedir() takes one or two arguments])
 AC_COMPILE_IFELSE([AC_LANG_PROGRAM([AC_INCLUDES_DEFAULT],
  [$pa_makedir("hello", 0777);])], [pa_makedir_args=two],
   [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([AC_INCLUDES_DEFAULT],
    [mkdir("hello");])], [pa_makedir_args=one],
    [pa_makedir_args=neither])])
  AC_MSG_RESULT($pa_makedir_args)
  AS_CASE([$pa_makedir_args],
    [two], [pa_makedir_def="$pa_makedir((x),0777)"],
    [one], [pa_makedir_def="$pa_makedir(x)"],
    [*], [pa_makedir_def="(-1)"])
  AC_DEFINE_UNQUOTED([makedir(x)], [$pa_makedir_def],
  [Define to a suitable wrapper around the mkdir() function of your system.])])
