dnl --------------------------------------------------------------------------
dnl PA_SYSROOT_TOOLS(var)
dnl
dnl  For some (mainly gcc-based) cross-compile build environments, there
dnl  are target-system specific utility executables (like *-config scripts)
dnl  hidden somewhere under the gcc SYSROOT.
dnl
dnl  Heuristically try to find these directories.
dnl
dnl  Use $var as the compiler executable; by default $CC.
dnl
dnl  The result, colon-separated and with a final colon,
dnl  is added to the beginning of PATH and also substituted into the
dnl  @SYSROOT_PATH@ variable.
dnl --------------------------------------------------------------------------
AC_DEFUN([PA_SYSROOT_TOOLS],
[m4_pushdef([pa_cc],[$]m4_default(m4_normalize([$1]),[CC]))
: PA_CC = 'pa_cc' = pa_cc
AS_IF([test "x$cross_compile" != xno -a "x$pa_sysroot_path" = x],
[AC_MSG_CHECKING([for sysroot helper programs])
pa_sysroot_path=no
_pa_sysroot=`"]pa_cc[" -print-sysroot 2>/dev/null`
AS_IF([test x"$_pa_sysroot" != x],
[SYSROOT_PATH=`find -H "$_pa_sysroot" -type d \( \! -executable -prune -false \) -o -name bin -printf "%p$PATH_SEPARATOR" 2>/dev/null`
AS_IF([test x"$SYSROOT_PATH" != x], [
pa_sysroot_path=yes
PATH="$SYSROOT_PATH$PATH"
])])
AC_MSG_RESULT($pa_sysroot_path)])
AC_SUBST(SYSROOT_PATH)
m4_popdef([pa_cc])])
