/*
 * intro.c
 *
 * Intro screen
 */

#include "graphics.h"
#include "grv.h"

void intro(void)
{
    const int b1 = 1;
    const int b2 = 6;
    const int box = 3;

    if (opt.debug)
	fprintf(stderr, "intro()\n");

    gp.c = b1;
    gp.c2 = b2;

    initscreen(40);

    color(14, 0);
    lputcn(box, 1, ' ', 80);
    lprint(box+2, 1,
	   "            \xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb            ");
    lprint(box+3, 1, "            \xdb\xdb            \xdb\xdb            ");
    lprint(box+4, 1,
	   "            \xdb\xdb  \xdb\xdb    \xdb\xdb  \xdb\xdb            ");
    lprint(box+5, 1, "            \xdb\xdb            \xdb\xdb            ");
    lprint(box+6, 1, "            \xdb\xdb            \xdb\xdb            ");
    lprint(box+7, 1,
	   "            \xdb\xdb  \xdb\xdb    \xdb\xdb  \xdb\xdb            ");
    lprint(box+8, 1,
	   "            \xdb\xdb    \xdb\xdb\xdb\xdb    \xdb\xdb            ");
    lprint(box+9, 1, "            \xdb\xdb            \xdb\xdb            ");
    lprint(box+10, 1,
	   "            \xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb\xdb            ");
    lputcn(box+11, 1, ' ', 80);

    color(15, b1);
    lprint(box+14, 10, "G  R  \x8e  V  N  I  N  G");

    color(0, b1);
    lprint(box+16, 16, "2  0  2  3");

    const char *title;
    if (custom.title) {
	color(0, b2);
	lputcn(22, 1, ' ', 40);
	title = custom.title;
    } else {
	color(0, b1);
	title = "\"It still sucks!!\"";
    }

    lprint(22, 21-(strlen(title) >> 1), title);

    color(0, b1);
    int author_row = 24;
    if (custom.byline && *custom.byline) {
	lprint(23,
	       21-(strlen(custom.byline) >> 1),
	       custom.byline);
	author_row++;
    }

    if (custom.author && *custom.author) {
	lprint(author_row,
	       21-(strlen(custom.author) >> 1),
	       custom.author);
    }

    color(9, 0);
    lprint(box+2, 2, "K...");
    lprint(box+3, 3, "Keyboard");
    lprint(box+4, 3, "Config");

    color(10, 0);
    lprint(box+2, 31, "P...");
    lprint(box+3, 32, "Play");
    lprint(box+4, 32, "Game");

    color(11, 0);
    lprint(box+8,  2, "V...");
    lprint(box+9,  3, "View");
    lprint(box+10, 3, "Scores");

    color(12, 0);
    lprint(box+8, 31, "Q...");
    lprint(box+9, 32, "Quit");
    lprint(box+10, 32, "Game");
}
