#ifndef PATHNAME_H
#define PATHNAME_H

#include "compiler.h"

static inline bool is_path_separator(char c)
{
    switch (c) {
    case '/':
#ifdef _WIN32
    case ':':
    case '\\':
#endif
        return true;
    default:
        return false;
    }
}

static inline bool filename_is_absolute(const char *name)
{
    if (*name == '/')
        return true;

#ifdef _WIN32
    if (*name == '\\' || strchr(name, ':'))
        return true;
#endif

    return false;
}

/* A very simplified version of stat() */
enum file_type {
    FT_None,			/* Not there or not accessible */
    FT_File,			/* Plain old (real, presumed seekable) file */
    FT_Dir,			/* Directory */
    FT_Special			/* Device, pipe, etc; presumed not seekable */
};

enum file_type file_type(const char *path);

char *basename_ptr(const char *path);
char *concat_path(const char *dir, const char *file);

#endif
