#!/usr/bin/perl
#
# Convert PSF input to a C structure
#

eval { use bytes; };

read(STDIN, $hdr, 4);

($magic, $mode, $size) = unpack("vCC", $hdr);

die "$0: Not a PSF1 file on input\n" if ( $magic != 0x0436 );

print "const unsigned char grv_font[256][$size] = {\n";

for ( $i = 0 ; $i < 256 ; $i++ ) {
    print "    ";
    for ( $j = 0 ; $j < $size ; $j++ ) {
	read(STDIN, $byte, 1);
	printf "%s0x%02x", ($j == 0 ? '{' : ','), unpack("C",$byte);
    }
    print "},\n";
}
print "};\n";
